Subject: Re: [PATCH] gnu: plasma-nm: Fix build on aarch64

From: Doğan Çeçen <[email-masked]>
Date: Thu, 29 Aug 2024 21:35:12 +0300

Sorry for not adding a little context, I was battling with my email config.

Anyhow, I was getting the following error when installing plasma-nm:

--8<---------------cut here---------------start------------->8---
ld: /gnu/store/drbppxblx1gf943dxilhwz5vags287ir-qcoro-qt6-0.10.0/lib/libQCoro6DBus.a(qcorodbuspendingcall.cpp.o): relocation R_AARCH64_ADR_PREL_PG_HI21 against symbol `_ZN23QDBusPendingCallWatcher8finishedEPS_@@Qt_6' which may bind externally can not be used when making a shared object; recompile with -fPIC
ld: /gnu/store/drbppxblx1gf943dxilhwz5vags287ir-qcoro-qt6-0.10.0/lib/libQCoro6DBus.a(qcorodbuspendingcall.cpp.o)(.text+0xb0): unresolvable R_AARCH64_ADR_PREL_PG_HI21 relocation against symbol `_ZN23QDBusPendingCallWatcher8finishedEPS_@@Qt_6'
ld: final link failed: bad value
--8<---------------cut here---------------end--------------->8---

The problem seemed to be qcoro-qt6. I checked its logs on x86_64, and it seems -fPIC is being passed:

https://ci.guix.gnu.org/build/5466920/details

Unfortunately, aarch64 build is still Scheduled:

https://ci.guix.gnu.org/build/5454563/details

Anyhow, the suggestion that the linker gave has worked, which is adding -fPIC.